.NET

Reply
*Dale Levesque
Message 1 of 2 (75 Views)

Passing AutoCAD Object to DLL

75 Views, 1 Replies
09-08-2005 08:48 AM
When calling a DLL function from AutoCAD 2002 Visual Lisp I use the
following code and everything works fine.

(setq $acad (vlax-get-acad-object))
(setq vbstrcls (vla-GetInterfaceObject $acad "TestProj2.Class1"))
(vlax-invoke-method vbstrcls "DrawObject" $acad (car mod_ins) (cadr
mod_ins))

If I call the same routine from AutoCAD 2006 I get the following error when
the last line is evaluated:

Program error - Automation Error. QueryInterface for interface
AutoCAD.IAcadApplication failed.

Does anyone know why this is and how to fix it?

Dale
*Dale Levesque
Message 2 of 2 (75 Views)

Re: Passing AutoCAD Object to DLL

09-08-2005 08:51 AM in reply to: *Dale Levesque
Oops, I still had the 2000 library referenced in the DLL. Sorry.

"Dale Levesque" wrote in message
news:4950422@discussion.autodesk.com...
When calling a DLL function from AutoCAD 2002 Visual Lisp I use the
following code and everything works fine.

(setq $acad (vlax-get-acad-object))
(setq vbstrcls (vla-GetInterfaceObject $acad "TestProj2.Class1"))
(vlax-invoke-method vbstrcls "DrawObject" $acad (car mod_ins) (cadr
mod_ins))

If I call the same routine from AutoCAD 2006 I get the following error when
the last line is evaluated:

Program error - Automation Error. QueryInterface for interface
AutoCAD.IAcadApplication failed.

Does anyone know why this is and how to fix it?

Dale
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.